# NvApplicationProfiler::NvApplicationProfiler::NvAppProfilerData Struct Reference

Holds the profiling data. More...

`#include <NvApplicationProfiler.h>`

List of all members.

## Public Attributes

struct timeval | total_time
| Total time for which the profiler ran / is running.
float | peak_cpu_usage
| Peak CPU usage during the profiling time.
float | avg_cpu_usage
| Average CPU usage over the entire profiling duration.
uint32_t | num_cpu_cores
| Number of cpu cores.
uint32_t | cpu_freq_mhz
| Operating frequency of the cpu in MHz.

## Detailed Description

Holds the profiling data.

Definition at line 68 of file NvApplicationProfiler.h.

## Member Data Documentation

float NvApplicationProfiler::NvApplicationProfiler::NvAppProfilerData::avg_cpu_usage

Average CPU usage over the entire profiling duration.

Definition at line 75 of file NvApplicationProfiler.h.

uint32_t NvApplicationProfiler::NvApplicationProfiler::NvAppProfilerData::cpu_freq_mhz

Operating frequency of the cpu in MHz.

Definition at line 79 of file NvApplicationProfiler.h.

uint32_t NvApplicationProfiler::NvApplicationProfiler::NvAppProfilerData::num_cpu_cores

Number of cpu cores.

Definition at line 77 of file NvApplicationProfiler.h.

float NvApplicationProfiler::NvApplicationProfiler::NvAppProfilerData::peak_cpu_usage

Peak CPU usage during the profiling time.

Definition at line 73 of file NvApplicationProfiler.h.

struct timeval NvApplicationProfiler::NvApplicationProfiler::NvAppProfilerData::total_time`[read]`

Total time for which the profiler ran / is running.

Definition at line 71 of file NvApplicationProfiler.h.

The documentation for this struct was generated from the following file:

- include/NvApplicationProfiler.h